package mcmas.core;

import org.jocl.CL;

public enum MCMMemFlag implements MCMFlag {
	READ_ONLY  (CL.CL_MEM_READ_ONLY),
	WRITE_ONLY (CL.CL_MEM_WRITE_ONLY),
	READ_WRITE (CL.CL_MEM_READ_WRITE);
	
	public final long value;
	
	private MCMMemFlag(long value) {
		this.value = value;
	}
	
	@Override
	public long getValue() {
		return value;
	}

}
